# Public

## Retrieve a public file from tenant storage

> Serves files with automatic MIME detection and 100-day caching (client/CDN). \`cacheKey\` is used to force cache refresh when asset versions change.

```json
{"openapi":"3.1.1","info":{"title":"Neostore internal API","version":"v1"},"tags":[{"name":"Public"}],"servers":[{"url":"https://app.neostore.cloud","description":"Production Server"},{"url":"https://app-qa.neostore.cloud","description":"Staging Server"}],"paths":{"/public/{tenantId}/{cacheKey}/{path}":{"get":{"tags":["Public"],"summary":"Retrieve a public file from tenant storage","description":"Serves files with automatic MIME detection and 100-day caching (client/CDN). `cacheKey` is used to force cache refresh when asset versions change.","parameters":[{"name":"path","in":"path","description":"The relative path of the file to retrieve.","required":true,"schema":{"type":"string"}},{"name":"tenantId","in":"path","required":true,"schema":{"type":"string"}},{"name":"cacheKey","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"File found and returned."},"404":{"description":"File not found in tenant public directory.","content":{"text/plain":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}},"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}},"text/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}}}},"500":{"description":"Unexpected server error."}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":["null","string"]},"title":{"type":["null","string"]},"status":{"type":["null","integer"],"format":"int32"},"detail":{"type":["null","string"]},"instance":{"type":["null","string"]}},"additionalProperties":{}},"HttpValidationProblemDetails":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProblemDetails"}],"properties":{"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"additionalProperties":{}}}}}
```
